Storyden
Misc

Get Session

Provides the instance settings and, if authenticated, the member's settings as well. This is effectively the same as calling `GetInfo` and `AccountGet` at the same time. This is a convenience endpoint to reduce round-trips for root level data needed to render a client's initial UI.

GET/session

Provides the instance settings and, if authenticated, the member's settings as well. This is effectively the same as calling GetInfo and AccountGet at the same time. This is a convenience endpoint to reduce round-trips for root level data needed to render a client's initial UI.

Response Body

application/json

application/json

curl -X GET "https://example.com/session"
{  "info": {    "title": "string",    "description": "string",    "content": "string",    "accent_colour": "string",    "onboarding_status": "requires_first_account",    "authentication_mode": "handle",    "registration_mode": "public",    "discovery": {      "search_indexing": true,      "training_crawling": true,      "llms_txt": true,      "auth_md": true,      "ai_catalog": true,      "api_catalog": true,      "mcp_server_card": true,      "robots_txt": "string"    },    "capabilities": [      "plugins"    ],    "web_address": "http://example.com",    "api_address": "http://example.com",    "metadata": {},    "motd": {      "content": "string",      "start_at": "2019-08-24T14:15:22Z",      "end_at": "2019-08-24T14:15:22Z",      "metadata": {}    }  },  "account": {    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "deletedAt": "2019-08-24T14:15:22Z",    "misc": {},    "joined": "2019-08-24T14:15:22Z",    "suspended": "2019-08-24T14:15:22Z",    "handle": "string",    "name": "string",    "roles": [      {        "id": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "deletedAt": "2019-08-24T14:15:22Z",        "misc": {},        "name": "string",        "colour": "string",        "permissions": [          "CREATE_POST"        ],        "meta": {},        "badge": true,        "default": true      }    ],    "bio": "string",    "signature": "string",    "links": [      {        "text": "string",        "url": "string"      }    ],    "meta": {},    "verified_status": "none",    "kind": "human",    "email_addresses": [      {        "id": "string",        "email_address": "string",        "verified": true      }    ],    "auth_services": [      "string"    ],    "notifications": 0,    "admin": true,    "invited_by": {      "id": "string",      "joined": "2019-08-24T14:15:22Z",      "suspended": "2019-08-24T14:15:22Z",      "handle": "string",      "name": "string",      "signature": "string",      "roles": [        {          "badge": true,          "default": true,          "id": "string",          "name": "string",          "colour": "string",          "meta": {}        }      ]    }  },  "client": {    "ip_address": "string",    "ip_address_ssr": "string"  }}